// $Id: test_i.cpp 76591 2007-01-25 18:17:52Z elliott_c $

#include "test_i.h"
#include "ace/OS_NS_unistd.h"

ACE_RCSID(Leader_Followers, test_i, "$Id: test_i.cpp 76591 2007-01-25 18:17:52Z elliott_c $")

test_i::test_i (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

void
test_i::shutdown (void)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  this->orb_->shutdown (0);
}

CORBA::ULong
test_i::method (CORBA::ULong work)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  ACE_DEBUG ((LM_DEBUG,
              "Server: Working for %d milli seconds @ %T\n",
              work));

  // Time required to process this request. <work> is time units in
  // milli seconds.
  ACE_Time_Value work_time (0,
                            work * 1000);

  ACE_OS::sleep (work_time);

  return work;
}
